<?php

IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `PHOTOS_DIR` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'") == 1){ 
  
  ERROR('Папка не может быть удалена, пока в ней есть хотябы одна папка', 'session');
  REDIRECT('/modules/?path=photos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `PHOTOS` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'") > 20){ 
  
  ERROR('Папка не может быть удалена, пока в ней более 20 файлов', 'session');
  REDIRECT('/modules/?path=photos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

/*
----------------------------------------------
Удаление комментариев и лайков к фото из папки
----------------------------------------------
*/

$data = DB::GET_STRING_ALL("SELECT `ID` FROM `PHOTOS` WHERE `ID_DIR` = '".$id_dir."'");

WHILE ($list = $data->FETCH()){
  
  DB::GET_SET("DELETE FROM `PHOTOS_LIKES` WHERE `PHOTO_ID` = '".$list['ID']."'");
  
  $data2 = DB::GET_STRING_ALL("SELECT `ID` FROM `PHOTOS_COMMENTS` WHERE `PHOTO_ID` = '".$list['ID']."'");
  
  WHILE ($list2 = $data2->FETCH()){
    
    DB::GET_SET("DELETE FROM `PHOTOS_COMMENTS_LIKES` WHERE `COMMENT_ID` = '".$list2['ID']."'");
    
    DB::GET_SET("DELETE FROM `PHOTOS_COMMENTS` WHERE `ID` = '".$list2['ID']."'");
    
    DB::GET_SET("DELETE FROM `ATTACHMENTS` WHERE `ID_POST` = '".$list2['ID']."' AND `TYPE_POST` = 'photos_comments'");
    
  }
  
}

/*
----------------------
Удаление фото из папки
----------------------
*/

$data = DB::GET_STRING_ALL("SELECT `ID`,`EXT` FROM `PHOTOS` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'");

WHILE ($list = $data->FETCH()){
  
  @UNLINK(ROOT.'/files/upload/photos/source/'.$list['ID'].'.'.$list['EXT'].'');
  @UNLINK(ROOT.'/files/upload/photos/260x600/'.$list['ID'].'.jpg');
  @UNLINK(ROOT.'/files/upload/photos/240x240/'.$list['ID'].'.jpg');
  @UNLINK(ROOT.'/files/upload/photos/150x150/'.$list['ID'].'.jpg');
  @UNLINK(ROOT.'/files/upload/photos/50x50/'.$list['ID'].'.jpg');
  
  DB::GET_SET("DELETE FROM `PHOTOS_SHOW` WHERE `PHOTO_ID` = '".$list['ID']."' AND `USER_ID` = '".$account['ID']."'");
  
  DB::GET_SET("DELETE FROM `PHOTOS` WHERE `ID` = '".$list['ID']."' AND `USER_ID` = '".$account['ID']."'");
  
}

/*
--------------------
Удаление самой папки
--------------------
*/
  
DB::GET_SET("DELETE FROM `PHOTOS_DIR` WHERE `ID` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'");

IF (ACCESS('photos_dir_delete', NULL, 1) || MANAGEMENT == 1){
  
  LOGS('Фотоальбомы - удаление альбома '.$account['LOGIN'].'', $user['ID']);

}

SUCCESS('Папка успешно удалена', 'session');
REDIRECT('/modules/?path=photos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');

?>